--[[--------------------------------------------------------------------------------------------------------------

Umbrella

Script for umbrella frames replacement by Sergey "GrayFace" Rozhenko

--]]--------------------------------------------------------------------------------------------------------------

local Path = path.dir(debug.FunctionFile(1))

ReplaceGraphics({
	BaseIndex = 1,
	TransparentColor = 0,
	{HotSpotX = 9, HotSpotY = 18, ActionX = 8, ActionY = 13},
	Path.."Umbrella_0_stopped_1.png",
	Path.."Umbrella_0_stopped_2.png",
	Path.."Umbrella_0_stopped_3.png",
	Path.."Umbrella_0_stopped_4.png",
	Path.."Umbrella_0_stopped_5.png",
	Path.."Umbrella_0_stopped_6.png",
	Path.."Umbrella_0_stopped_7.png",
	Path.."Umbrella_0_stopped_8.png",
	Path.."Umbrella_0_disappearing_1.png",
	Path.."Umbrella_0_disappearing_2.png",
	Path.."Umbrella_0_disappearing_3.png",
	Path.."Umbrella_0_disappearing_4.png",
	Path.."Umbrella_0_disappearing_5.png",
	Path.."Umbrella_0_disappearing_6.png",
	Path.."Umbrella_0_disappearing_7.png",
	Path.."Umbrella_0_disappearing_8.png",
	{HotSpotX = 5, HotSpotY = 18, ActionX = 6, ActionY = 13},
	Path.."Umbrella_16_stopped_1.png",
	Path.."Umbrella_16_stopped_2.png",
	Path.."Umbrella_16_stopped_3.png",
	Path.."Umbrella_16_stopped_4.png",
	Path.."Umbrella_16_stopped_5.png",
	Path.."Umbrella_16_stopped_6.png",
	Path.."Umbrella_16_stopped_7.png",
	Path.."Umbrella_16_stopped_8.png",
	Path.."Umbrella_16_disappearing_1.png",
	Path.."Umbrella_16_disappearing_2.png",
	Path.."Umbrella_16_disappearing_3.png",
	Path.."Umbrella_16_disappearing_4.png",
	Path.."Umbrella_16_disappearing_5.png",
	Path.."Umbrella_16_disappearing_6.png",
	Path.."Umbrella_16_disappearing_7.png",
	Path.."Umbrella_16_disappearing_8.png",
}, Objects.Umbrella)
