--[[--------------------------------------------------------------------------------------------------------------

Script for golden creature overlay by Sergey "GrayFace" Rozhenko

--]]--------------------------------------------------------------------------------------------------------------

local Path = ...

return GraphicsOverlay({
	BaseIndex = 1,
	TransparentColor = 0,
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 12},
	Path.."Obj_0_stopped_1.png",
	Path.."Obj_0_walking_1.png",
	Path.."Obj_0_walking_2.png",
	Path.."Obj_0_walking_3.png",
	Path.."Obj_0_walking_4.png",
	Path.."Obj_0_walking_5.png",
	Path.."Obj_0_walking_6.png",
	Path.."Obj_0_shooting_1.png",
	Path.."Obj_0_shooting_2.png",
	Path.."Obj_0_shooting_3.png",
	Path.."Obj_0_shooting_4.png",
	Path.."Obj_0_shooting_5.png",
	Path.."Obj_0_stand up_1.png",
	Path.."Obj_0_stand up_2.png",
	Path.."Obj_0_stand up_3.png",
	Path.."Obj_0_stand up_4.png",
	Path.."Obj_0_stand up_5.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 12},
	Path.."Obj_16_stopped_1.png",
	Path.."Obj_16_walking_1.png",
	Path.."Obj_16_walking_2.png",
	Path.."Obj_16_walking_3.png",
	Path.."Obj_16_walking_4.png",
	Path.."Obj_16_walking_5.png",
	Path.."Obj_16_walking_6.png",
	Path.."Obj_16_shooting_1.png",
	Path.."Obj_16_shooting_2.png",
	Path.."Obj_16_shooting_3.png",
	Path.."Obj_16_shooting_4.png",
	Path.."Obj_16_shooting_5.png",
	Path.."Obj_16_stand up_1.png",
	Path.."Obj_16_stand up_2.png",
	Path.."Obj_16_stand up_3.png",
	Path.."Obj_16_stand up_4.png",
	Path.."Obj_16_stand up_5.png",
}), 3, 6
