--[[--------------------------------------------------------------------------------------------------------------

Script for golden creature overlay by Sergey "GrayFace" Rozhenko

--]]--------------------------------------------------------------------------------------------------------------

local Path = ...

return GraphicsOverlay({
	BaseIndex = 1,
	TransparentColor = 0,
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 8},
	Path.."Obj_0_stopped_1.png",
	Path.."Obj_0_stopped_2.png",
	Path.."Obj_0_stopped_3.png",
	Path.."Obj_0_stopped_4.png",
	Path.."Obj_0_stopped_5.png",
	Path.."Obj_0_stopped_6.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 7},
	Path.."Obj_0_walking_1.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 8},
	Path.."Obj_0_walking_2.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 9},
	Path.."Obj_0_walking_3.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 10},
	Path.."Obj_0_walking_4.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 9},
	Path.."Obj_0_walking_5.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 8},
	Path.."Obj_0_walking_6.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 7},
	Path.."Obj_0_walking_7.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 8},
	Path.."Obj_16_stopped_1.png",
	Path.."Obj_16_stopped_2.png",
	Path.."Obj_16_stopped_3.png",
	Path.."Obj_16_stopped_4.png",
	Path.."Obj_16_stopped_5.png",
	Path.."Obj_16_stopped_6.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 7},
	Path.."Obj_16_walking_1.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 8},
	Path.."Obj_16_walking_2.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 9},
	Path.."Obj_16_walking_3.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 10},
	Path.."Obj_16_walking_4.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 9},
	Path.."Obj_16_walking_5.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 8},
	Path.."Obj_16_walking_6.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 7},
	Path.."Obj_16_walking_7.png",
}), 4, 16
