--[[--------------------------------------------------------------------------------------------------------------

Script for golden creature overlay by Sergey "GrayFace" Rozhenko

--]]--------------------------------------------------------------------------------------------------------------

local Path = ...

return GraphicsOverlay({
	BaseIndex = 1,
	TransparentColor = 0,
	{HotSpotX = 12, HotSpotY = 12, ActionX = 1, ActionY = 1},
	Path.."Obj_0_stopped_1.png",
	{HotSpotX = 3, HotSpotY = 1, ActionX = 3, ActionY = 1},
	Path.."Obj_0_walking_1.png",
	{HotSpotX = 3, HotSpotY = 2, ActionX = 3, ActionY = 2},
	Path.."Obj_2_walking_1.png",
	Path.."Obj_4_walking_1.png",
	{HotSpotX = 2, HotSpotY = 3, ActionX = 2, ActionY = 3},
	Path.."Obj_6_walking_1.png",
	Path.."Obj_8_walking_1.png",
	{HotSpotX = 2, HotSpotY = 2, ActionX = 2, ActionY = 2},
	Path.."Obj_10_walking_1.png",
	{HotSpotX = 2, HotSpotY = 1, ActionX = 2, ActionY = 1},
	Path.."Obj_12_walking_1.png",
	{HotSpotX = 3, HotSpotY = 1, ActionX = 3, ActionY = 1},
	Path.."Obj_14_walking_1.png",
	{HotSpotX = 3, HotSpotY = 2, ActionX = 3, ActionY = 2},
	Path.."Obj_16_walking_1.png",
	{HotSpotX = 1, HotSpotY = 1, ActionX = 1, ActionY = 1},
	Path.."Obj_18_walking_1.png",
	Path.."Obj_20_walking_1.png",
	Path.."Obj_22_walking_1.png",
	{HotSpotX = 2, HotSpotY = 3, ActionX = 2, ActionY = 3},
	Path.."Obj_24_walking_1.png",
	{HotSpotX = 1, HotSpotY = 3, ActionX = 1, ActionY = 3},
	Path.."Obj_26_walking_1.png",
	{HotSpotX = 2, HotSpotY = 3, ActionX = 2, ActionY = 3},
	Path.."Obj_28_walking_1.png",
	{HotSpotX = 3, HotSpotY = 2, ActionX = 3, ActionY = 2},
	Path.."Obj_30_walking_1.png",
}), 2, 8
