--[[--------------------------------------------------------------------------------------------------------------

Script for golden creature overlay by Sergey "GrayFace" Rozhenko

--]]--------------------------------------------------------------------------------------------------------------

local Path = ...

return GraphicsOverlay({
	BaseIndex = 1,
	TransparentColor = 0,
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 12},
	Path.."Obj_0_stopped_1.png",
	Path.."Obj_0_walking_01.png",
	Path.."Obj_0_walking_02.png",
	Path.."Obj_0_walking_03.png",
	Path.."Obj_0_walking_04.png",
	Path.."Obj_0_walking_05.png",
	Path.."Obj_0_walking_06.png",
	Path.."Obj_0_walking_07.png",
	Path.."Obj_0_walking_08.png",
	Path.."Obj_0_walking_09.png",
	Path.."Obj_0_walking_10.png",
	Path.."Obj_0_slide_1.png",
	Path.."Obj_0_slide_2.png",
	Path.."Obj_0_slide_3.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 12},
	Path.."Obj_16_stopped_1.png",
	Path.."Obj_16_walking_01.png",
	Path.."Obj_16_walking_02.png",
	Path.."Obj_16_walking_03.png",
	Path.."Obj_16_walking_04.png",
	Path.."Obj_16_walking_05.png",
	Path.."Obj_16_walking_06.png",
	Path.."Obj_16_walking_07.png",
	Path.."Obj_16_walking_08.png",
	Path.."Obj_16_walking_09.png",
	Path.."Obj_16_walking_10.png",
	Path.."Obj_16_slide_1.png",
	Path.."Obj_16_slide_2.png",
	Path.."Obj_16_slide_3.png",
}), 14, 12
